Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.model
Interface PagePersonalizationIdentifier

All Superinterfaces:
  Identifier, PersonalizationIdentifier, PortalScopedObject, ProfileScopedObject, Serializable

public interface PagePersonalizationIdentifier
extends PersonalizationIdentifier

Interface `PagePersonalizationIdentifier` is used to uniquely identify a `PagePersonalization` object across all portals.

Method Summary
`PageIdentifier` | `getPageIdentifier()` Returns the `PageIdentifier` that identifies the page that this `PagePersonalization` is a personalization of.
`PortalPersonalizationIdentifier` | `getPortalPersonalizationIdentifier()` Returns the `PortalPersonalizationIdentifier` that identifies the personalization that this object is contained within.

Methods inherited from interface com.bea.portal.model.PortalScopedObject
`getPortalIdentifier`

Methods inherited from interface com.bea.portal.model.ProfileScopedObject
`getProfileIdentity`

Methods inherited from interface com.bea.portal.model.Identifier
`getId`

Method Detail

### getPageIdentifier

    public PageIdentifier getPageIdentifier()

  Returns the `PageIdentifier` that identifies the page that this `PagePersonalization` is a personalization of.

  Returns:
    the page that this object is a personalization of.

### getPortalPersonalizationIdentifier

    public PortalPersonalizationIdentifier getPortalPersonalizationIdentifier()

  Returns the `PortalPersonalizationIdentifier` that identifies the personalization that this object is contained within.

  Returns:
    the portal personalization that this page personalization is in.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved